%{?nodejs_find_provides_and_requires}

Name:           nodejs-couch-login
Version:        0.1.18
Release:        1%{?dist}
Summary:        A module for doing logged-in requests to a couchdb server

Group:          System Environment/Libraries
License:        BSD
URL:            https://github.com/isaacs/couch-login
Source0:        http://registry.npmjs.org/couch-login/-/couch-login-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%description
A module for doing logged-in requests to a couchdb server.

%prep
%setup -q -n package

%nodejs_fixdep request

%build
#nothing to do

%install
rm -rf %buildroot
mkdir -p %{buildroot}%{nodejs_sitelib}/couch-login
cp -pr package.json couch-login.js %{buildroot}%{nodejs_sitelib}/couch-login

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%{nodejs_sitelib}/couch-login
%doc README.md LICENSE

%changelog
* Fri Sep 06 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.18-1
- update to upstream release 0.1.18
- add ExclusiveArch logic

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 22 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.17-1
- new upstream release 0.1.17

* Sat Jun 22 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.15-5
- restrict to compatible arches

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.15-4
- add macro for EPEL6 dependency generation

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.15-2
- add missing build section

* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.15-1
- initial package generated by npm2rpm
